Name:           zyGrib
Version:        6.1.4
Release:        2%{?dist}
Summary:        Visualization of meteo data from files in GRIB Format 1 
Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.zygrib.org
##              Source URL is: http://www.zygrib.org/getfile.php?file=zyGrib-3.9.8.tgz
Source0:        %{name}-%{version}.tgz 
Source1:        %{name}.png
Source2:        %{name}.README
Source3:        %{name}.desktop
Source4:        %{name}.INSTALL
Patch0:         zyGrib-6.1.4-non_class_error.patch
# https://bugzilla.redhat.com/733855
Patch3:         zyGrib-6.1.4-installdata.patch
BuildRequires:  qwt-devel
BuildRequires:  bzip2-devel qt4-devel proj-devel desktop-file-utils libnova-devel
Requires:       liberation-fonts-common
%description
ZyGrib is a GRIB file viewer. It enables :

Visualization of meteo data from files in GRIB Format
Automatic GRIB data download
Automatic Download from IAC (fleet-code) Data
Roh or compressed GRIB Data (gzip *.gz; bzip2 *.bz2) can be used

%prep
%setup -q
%patch0 -p1
rm -rf src/bzip2
rm -rf src/zlib-*
rm -rf src/proj-*
# Adding docs files
cp -pr %{SOURCE2} %{_builddir}/%{name}-%{version}/README
cp -pr %{SOURCE4} %{_builddir}/%{name}-%{version}/INSTALL
# https://bugzilla.redhat.com/733855
sed -i -e 's:QDir\:\:current():"%{_datadir}\/%{name}\/":' src/util/Settings.cpp
sed -i -e 's:data/::g' src/util/Util.h src/curvedrawer/CurveDrawerDialog.ui src/Makefile src/zyGrib.pro
%patch3 -p1 -b .installdata

%build
make %{?_smp_mflags} QTBIN=%{_qt4_bindir}

%install
rm -rf %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}
make install DESTDIR=%{buildroot}
##install -d -m755 %{buildroot}%{_bindir}
##install -D -m755 src/%{name} %{buildroot}%{_bindir}
#install -d -m755 %{buildroot}%{_datadir}/%{name}/tr
## cp -pr data/maps %{buildroot}%{_datadir}/%{name}
## cp -pr data/img %{buildroot}%{_datadir}/%{name}
## install -D -m644 data/tr/*.qm %{buildroot}%{_datadir}/%{name}/tr
install -d -m755 %{buildroot}%{_datadir}/pixmaps
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
install -d -m755 %{buildroot}%{_datadir}/applications


%files
%defattr(-,root,root,-)
%doc README INSTALL
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue May 14 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 6.1.4-2
- New release 
- Fix pathes (#962172)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Rex Dieter <rdieter@fedoraproject.org> - 5.0.6-8
- drop hard-coded library dependencies (rpm autodetects these)
- drop some sed hacks (rebase patches)
- fix build for qwt5 compat pkg

* Sat Oct 13 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.6-7
- Rebuild for new proj

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.6-4
- New release
- Fix path (#746896, #746897, #746892, #746897, #751521)

* Sat Aug 27 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.4-2
- Fix maps path (#733855)

* Sun Aug 07 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.4-1
- New release

* Fri Aug 05 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.2-1
- New version

* Wed Mar 09 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.9-3
- Remove system-wide libraries
- Add font Requires
- Replace pointless macros

* Wed Jan 12 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.9-2
- Replace patch to sed
- Remove clean section and BuildRoot

* Tue Jan 11 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.9-1
- Update to 3.9.9

* Tue Jan 11 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.8-2
- Add README file, fixed spec errors
- Add desktop file

* Fri Dec 31 2010 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.8-1
- Initial package
